require 'httparty'

class HealthTools

  def self.component(data)
    self.add_component(data)
  end

  def self.add_component(data)
    HTTParty.post(ENV['server_host'] + '/api/component', body: data)
  end

  def self.check(data_content)
    self.reply_health(data_content)
  end

  def self.reply_health(data)
    data.store("service_code", ENV['service_code'])
    data.store("start_time", DateTime.now.strftime("%d/%m/%Y %H:%M"))
    data.store("checksum", get_checksum(data))
    HTTParty.post(ENV['server_host'] + '/api/report', body: data)
  end

  def self.get_checksum(data)
    data = self.convert_type(data)
    Digest::SHA2.hexdigest(data.to_s)
  end

  def self.convert_type(data)
    hash = {}
    data.each do |key, value|
      value = value.to_s
      hash.store(key, value)
    end
    hash
  end
end